Chainlink
✅ Validado (off-chain / infra)
Suite misc-infra — price feeds + VRF/consumers validados.
Gerada automaticamente do spec OpenAPI da API (fonte de verdade). 17 endpoint(s).
List price feeds
GET /v1/price_feeds
List Chainlink price feeds available per network
Auth: api-key
Query params:
| Param | Tipo | Obrigatório |
|---|---|---|
network | string | não |
Respostas: 200, 401
Get current price
GET /v1/price_feeds/{pair}
Get current price from Chainlink AggregatorV3
Auth: api-key
Path params: pair
Query params:
| Param | Tipo | Obrigatório |
|---|---|---|
network | string | não |
Respostas: 200, 401, 404
Get price feed config
GET /v1/price_feeds/{pair}/config
Get price feed consumer contract configuration
Auth: api-key
Path params: pair
Query params:
| Param | Tipo | Obrigatório |
|---|---|---|
network | string | não |
Respostas: 200, 401, 404
Update price feed max age
POST /v1/price_feeds/{pair}/max_age
Update max age on price feed consumer contract
Auth: api-key
Path params: pair
Query params:
| Param | Tipo | Obrigatório |
|---|---|---|
network | string | não |
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
max_age_seconds | number | sim | Max age in seconds for stale price detection |
idempotency_key | string | não | Idempotency key |
Respostas: 200, 201, 401, 404
Update price feed max age (PUT legacy)
PUT /v1/price_feeds/{pair}/max_age
Auth: api-key
Path params: pair
Query params:
| Param | Tipo | Obrigatório |
|---|---|---|
network | string | não |
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
max_age_seconds | number | sim | Max age in seconds for stale price detection |
idempotency_key | string | não | Idempotency key |
Respostas: 200
Get price rounds
GET /v1/price_feeds/{pair}/rounds
Get historical round data from Chainlink price feed
Auth: api-key
Path params: pair
Query params:
| Param | Tipo | Obrigatório |
|---|---|---|
network | string | não |
count | number | não |
Respostas: 200, 401, 404
Deploy price feed consumer
POST /v1/price_feeds/consumers
Deploy a new Chainlink PriceFeed consumer contract via Factory
Auth: api-key
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
name | string | sim | Consumer name for tracking |
network | string | sim | Network for deployment |
price_feed_address | string | sim | Chainlink price feed aggregator address |
pair | string | sim | Price pair identifier |
max_age_seconds | number | não | Max age in seconds for stale price detection |
idempotency_key | string | não | Idempotency key |
Respostas: 201, 400, 401
Deploy VRF consumer
POST /v1/vrf/consumers
Deploy a new Chainlink VRF v2.5 consumer contract via Factory
Auth: api-key
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
name | string | sim | Consumer name for tracking |
network | string | sim | Network for deployment |
vrf_coordinator | string | sim | VRF Coordinator address |
key_hash | string | sim | Key hash for VRF |
subscription_id | string | sim | VRF subscription ID |
request_confirmations | number | não | Number of request confirmations (1-200) |
callback_gas_limit | number | não | Callback gas limit (100k-2.5M) |
idempotency_key | string | não | Idempotency key |
Respostas: 201, 400, 401
Get VRF consumer config
GET /v1/vrf/consumers/{id}/config
Get VRF consumer contract configuration from chain
Auth: api-key
Path params: id
Respostas: 200, 401, 404
Update VRF consumer config
POST /v1/vrf/consumers/{id}/config
Update VRF consumer contract configuration on-chain
Auth: api-key
Path params: id
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
key_hash | string | não | Key hash for VRF |
subscription_id | string | não | VRF subscription ID |
request_confirmations | number | não | Number of request confirmations |
callback_gas_limit | number | não | Callback gas limit |
idempotency_key | string | não | Idempotency key |
Respostas: 200, 201, 401, 404
Update VRF config (PUT legacy)
PUT /v1/vrf/consumers/{id}/config
Auth: api-key
Path params: id
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
key_hash | string | não | Key hash for VRF |
subscription_id | string | não | VRF subscription ID |
request_confirmations | number | não | Number of request confirmations |
callback_gas_limit | number | não | Callback gas limit |
idempotency_key | string | não | Idempotency key |
Respostas: 200
Get VRF request ID by index
GET /v1/vrf/consumers/{id}/request_id
Get the on-chain request ID at a given index from the VRF consumer
Auth: api-key
Path params: id
Query params:
| Param | Tipo | Obrigatório |
|---|---|---|
index | number | sim |
Respostas: 200, 401
Get VRF requester
GET /v1/vrf/consumers/{id}/requester
Get the address that submitted a VRF request by request ID
Auth: api-key
Path params: id
Query params:
| Param | Tipo | Obrigatório |
|---|---|---|
request_id | string | sim |
Respostas: 200, 401
Notify VRF fulfillment
POST /v1/vrf/fulfillment
Push-based notification for VRF fulfillment. Immediately verifies on-chain and processes the result, bypassing the 30s polling delay.
Auth: api-key
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
request_id | string | sim | VRF request ID |
Respostas: 200, 201, 401, 404
Request VRF random words
POST /v1/vrf/requests
Request verifiable random words via Chainlink VRF v2.5
Auth: api-key
Request body:
| Campo | Tipo | Obrigatório | Descrição |
|---|---|---|---|
consumer_id | string | sim | VRF Consumer deployment ID |
num_words | number | sim | Number of random words to request (1-500) |
network | string | sim | Network for VRF request |
idempotency_key | string | não | Idempotency key |
Respostas: 201, 400, 401, 404
Get VRF request
GET /v1/vrf/requests/{id}
Get VRF request status and random words
Auth: api-key
Path params: id
Respostas: 200, 401, 404
Get VRF result
GET /v1/vrf/requests/{id}/result
Get random words result from on-chain VRF consumer
Auth: api-key
Path params: id
Respostas: 200, 401, 404